// DialogPasteRename.cpp : implementation file
//

#include "stdafx.h"
#include "contenttrack.h"
#include "DialogPasteRename.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogPasteRename dialog


CDialogPasteRename::CDialogPasteRename(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogPasteRename::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogPasteRename)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDialogPasteRename::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogPasteRename)
	DDX_Control(pDX, IDC_EDIT_NEW, m_ctrlNew);
	DDX_Control(pDX, IDC_EDIT_OLD, m_ctrlOld);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogPasteRename, CDialog)
	//{{AFX_MSG_MAP(CDialogPasteRename)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogPasteRename message handlers

void CDialogPasteRename::OnOK() 
{
	this->m_ctrlOld.GetWindowText(m_strOld);
	this->m_ctrlNew.GetWindowText(m_strNew);
	CDialog::OnOK();
}
